package config

//==Message Util==
const UsageTitle = "使用方法Command Usage"
const UsageColour = 0xF00000
const ErrorStack = "纠错信息Debug Info"
const ErrorColour = 0xE00000
const SuccessTitle = "成功Success"
const SuccessColour = 0x00E000
const PermissionErrorTitle = "没有权限Forbidden"
const ErrorCannotFindMember = "请确保你已经加入伺服器。Please make sure that you're in the server."
const ErrorMustNotBeMember = "这个指令不能被会员使用。This command cannot be used by server members."
const ErrorMustBeMember = "这个指令只能在成为会员后使用。This command can only be used by server members."
const ErrorMustDMTitle = "私信保护 DM Protection"
const ErrorMustDMDescription = "<@%s>，这个指令只能在私信中使用。<@%s>, this command can only be used in DMs."
const AuditInfoTitle = "记录Audit Info"
const AuditInfoColour = 0xA0A0A0
const InternalErrorDescription = "发生了不明错误。An unknown error has occurred."

//==Vote==
const VoteErrorTitle = "投票错误Vote Error"
const ErrorForceRejectionReuse = "您在这个月内已使用过:x:。请选择其他选项。\nYou have used :x: this month. Please choose another option."
const ErrorVoteHasEnded = "无法投票给已经结束的投票。\nCannot vote in a vote that has already ended."
const VoteSuccessfulTitle = "投票成功Voted Successfully"
const VoteSuccessfulVoteID = "投票编号Vote ID"
const VoteSuccessfulVoteName = "投票名称Vote Name"
const VoteSuccessfulDetectedVote = "所投的票Your Vote"

const VoteSuggestionNote = "\n备注：这个系统即将被一个指令代替。\nNote: This system is going to be replaced by a command soon."
const VoteSuggestionErrorTitle = "开始新的投票错误Vote Suggestion Error"
const ErrorVoteSuggestionNotEnoughInfo = "请提供更多资料。\nPlease provide more information."
const ErrorVoteSuggestionTooLong = "你投票的内容过长了。请使用少过500个字符。\nYour vote is too long. Please use a maximum of 500 characters."
const ErrorVoteSuggestionUnknownType = "未知投票种类Unknown Vote Type: %s"

const CustomVoteTitle = "自定义投票Custom Vote"
const CustomVoteColour = 0x00F0F0
const CustomVoteVoteID = "投票编号Vote ID"
const CustomVoteContent = "投票内容Content"

const EntryVoteTitle = "加入申请Entry Application"
const EntryVoteColour = 0x808000
const EntryVoteVoteID = "投票编号Vote ID"
const EntryVoteApplicant = "申请者Applicant"
const EntryVoteReason = "加入原因Provided Reason for Entry"

const VotePassTitle = "投票通过 Vote Passed"
const VotePassColour = 0x00F000
const VoteRejectTitle = "投票不通过 Vote Rejected"
const VoteRejectColour = 0xF00000

const EntryVoteRejectNotificationTitle = "抱歉……Sorry..."
const EntryVoteRejectNotificationContent = "你加入的提案最终被拒绝了。请提升你和伺服器中的成员的关系后再次申请加入。\nThe application entry you recently sent was rejected. You must strengthen your relationship with server members before trying again."
const EntryVoteSuccessWelcomeTitle = "欢迎！Welcome!"
const EntryVoteSuccessWelcomeDescription = "欢迎进入伺服器，<@%s>。Welcome to our server, <@%s>!"

//==Commands==
const SendAsUsage = "!sendas <频道ID> <信息>\n!sendas <channel ID> <message>"
const SendAsSuccessfulDescription = "成功发送该信息。\nSent the message successfully."
const SendAsSuccessfulMessageID = "Discord编号 // Discord ID"

const EditAsUsage = "!editas <频道ID> <信息ID> <信息>\n!editas <channel ID> <message ID> <message>"
const EditAsSuccessfulDescription = "成功编辑该信息。\nEdited the message successfully."

//VTL is view trust level
const VTLColour = 0xE0E000
const VTLSingleUserTitle = "<@%s>的信誉分 <@%s>'s Trust Score"
const VTLSingleUserValue = "分数 Trust Score"
const VTLSingleUserServerTotal = "伺服器总分 Server Total"
const VTLSingleUserPercentage = "百分比 Percentage"
const VTLGlobalTitle = "伺服器信誉分报告 Server Trust Score Report"
const VTLGlobalFieldFormat = "%.1f/%.1f (%.2f%%)"

const InviteUsage = "!invite <要制造的验证码>\n!invite <validation code to create>"
const InviteSuccessTitle = "制造验证码成功Create Validation Code Success"
const InviteSuccessNew = "这个验证码现在属于你了。请好好保管并把它交给你要邀请的人。\nThis validation code now belongs to you! Pass it on to the person you want to invite."
const InviteSuccessAlreadyOwn = "该验证码原本就已经属于你。请直接交给你要邀请的人吧。\nThe validation code already belongs to you. Please just pass it to the person you want to invite."
const ErrorInviteTitle = "制造验证码错误Create Validation Code Error"
const ErrorInviteCodeContainsSpace = "所制造的验证码不得有任何空格。\nThe validation code to create cannot contain any spaces."
const ErrorInviteOwnedByOthers = "这个验证码已被其他会员注册。请使用别的验证码。\nThis validation code is already registered. Please try another one."
const ErrorInviteExistAndUsed = "这个验证码已被使用过。请使用别的验证码。\nThis validation code has already been used before. Please try another one."

const ValidateUsage = "!validate <验证码> <为自己拉票的字>\n!validate <validation code> <reason you should be accepted>"
const ValidateConfirmationColour = 0xE0E000
const ValidateConfirmationTitle = "验证码使用确认Validation Code Usage Confirmation"
const ValidateConfirmationDescription = "有人使用了你创造的验证码。请确认他是否是你要邀请的人。\nSomeone has used a validation code you created. Please confirm that he/she is the person you want to invite."
const ValidateConfirmationUser = "Discord帐号 // Discord Account"
const ValidateConfirmationInviteCode = "使用的验证码Validation Code Used"
const ValidateConfirmationRejectCreatorTitle = "已拒绝验证码使用 Validation Code Usage Denied"
const ValidateConfirmationRejectCreatorDescription = "你已成功拒绝该验证码的使用。为了避免该验证码被对方重复使用，该验证码已被无效化。\nYou have successfully denied the usage of the validation code. To prevent the validation code user from reusing this code, this validation code has been revoked."
const ValidateConfirmationRejectRejecteeTitle = "验证码使用已被拒绝 Validation Code Usage Denied"
const ValidateConfirmationRejectRejecteeDescription = "验证码制造者已拒绝你对该验证码的使用。验证码也已经被无效化了。\nThe validation code creator has prevented you from using the validation code. The code has also been revoked."
const ValidateConfirmationAcceptCreatorTitle = "已同意验证码死用 Validation Code Usage Approved"
const ValidateConfirmationAcceptCreatorDescription = "你已成功同意验证码的使用，主伺服器已开始了加入投票。该验证码也在这次使用后无效化了。\nYou have successfully approved the usage of the validation code and started a vote in the main server. With the one-time usage property of the code, it has been revoked."
const ValidateConfirmationAcceptAccepteeTitle = "验证码使用已被同意 Validation Code Usage Approved"
const ValidateConfirmationAcceptAccepteeDescription = "你验证码的使用已被同意，主伺服器中开始了对于你的加入的投票，请等候投票完毕。\nYour usage of validation code was approved and a vote about your entry request has been started in the main server. Please wait patiently for the vote to finish."
const ValidateSuccess = "已向验证码制造者发送了请求。\nSent a request to use the validation code to its creator."
const ErrorValidateTitle = "验证错误Validation Error"
const ErrorValidationCodeReuse = "该验证码已被使用过。请向验证码制造者要求新的验证码。\nThis validation code has been used before. Please request a new one from its creator."
const ErrorValidationCodeNotExist = "该验证码不存在。请使用一位会员给你的验证码。\nThis validation code doesn't exist. Please use one given by a member."
const ErrorValidationCodeNotOwnedByMember = "验证码制造者不是会员。\nvalidation code creator is no longer a member."
const ErrorValidationCodeCreatorDisabledPM = "验证码制造者关闭了私信。\nValidation code creator did not enable DMs."
